describe 'README Examples' do

  should 'load database settings' do
    yaml = File.join(File.dirname(__FILE__), "fixtures", "example_database.yml")

    settings = YAMLSettings.new(yaml, :production)
    settings.db.host.should == "db.example.com"
    settings.db.user.should == "dbusr"
    settings.db.name.should == "myapp"
    settings.db.pass.should == "/var/www/sites/myapp/db-access"
  end

end
